Скачать для Linux

Последний выпуск calibre 5.10.1. Что нового.

Пожалуйста, не используйте пакеты calibre, предоставляемые вашим дистрибутивом, так как они зачастую с ошибками/устарели. Вместо этого установите исполняемый файл, как описано ниже.

Установка исполняемого файла

Устанавливаемый исполняемый файл calibre уже включает все необходимые зависимости. Он работает на 32- и 64-разрядных машинах, совместимых с Intel. Для установки или обновления, просто скопируйте и вставьте следующие команды в терминал и нажмите Enter:

Пока вы ждёте завершения загрузки, пожалуйста, подумайте о возможности поддержать разработку calibre.

Примечания

  • Если возникает ошибка с ненадёжным сертификатом, значит на вашем компьютере не установлены корневые сертификаты, и вы не можете безопасно загрузить программу установки. Если всё ещё хотите продолжить, то запустите wget с опцией --no-check-certificate, примерно так:
  • До запуска программы установки проверьте, что в вашей системе уже есть xdg-utils, wget, xz-utils и python ≥ 2.6.
  • Вы можете удалить calibre, запустив sudo calibre-uninstall. Или просто сотрите каталог установки, что удалит 99% установленных файлов.
  • Для запуска calibre требуются GLIBC 2.18 или выше и libstdc++.so.6.0.21 (из gcc 5.4.0) или выше.
  • Если возникает ошибка Could not load the Qt platform plugin xcb, значит у вас отсутствует несколько нужных X11-XCB библиотек, таких как libxcb-xinerama0, подробнее смотрите здесь.
  • Изменить каталог, в который calibre устанавливается по умолчанию (/opt), можно так: Замените /opt выше на любой каталог, в который хотите установить calibre.
  • Также можно сделать «изолированную» установку, затрагивающую только файлы внутри каталога установки и не требующую запуска с правами суперпользователя, например:

Возврат к предыдущей версии

Установить предыдущий выпуск calibre можно так: Замените версию 4.23.0 выше на ту версию, которую вы хотите установить.

Установка исполняемого файла вручную

Если вы хотите вернуться на раннюю версию calibre или вручную загрузить обновление, скачайте архив соответствующего выпуска отсюда (если нужно, выберите 32- или 64-разрядную версию). Предположим, вы устанавливаете calibre в /opt/calibre, тогда выполните следующие команды, изменив по мере необходимости путь к calibre-tarball.txz ниже:


Установка из исходников

ВНИМАНИЕ: calibre — это очень сложное программное обеспечение со множеством привередливых зависимостей. Устанавливая из исходников, вы в своём праве, но, пожалуйста, тогда не жалуйтесь на ошибки и не рассчитывайте на какую-либо помощь. Вас предупреждали.

Если вы всё же решили установить из исходников, читайте дальше:

  1. Убедитесь, что в вашей системе установлен python 2.
  2. Установите разные зависимости, перечисленные ниже.
  3. Выполните следующие команды в терминале:


Зависимости

Текущий список зависимостей для официальных исполняемых файлов calibre, можно посмотреть в sources.json. Хотя calibre вероятно работает и с зависимостями, версии которых отличаются от указанных там, эта возможность не проверялась и не поддерживается. Кроме самих зависимостей во время сборки необходимы, например, pkg-config, компилятор C/C++ и т. д.

Выберите нужный язык